Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 721928

Summary: app-cdr/cdw calls ar directly
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: Arthur Zamarin <arthurzam+gentoo>
Status: RESOLVED FIXED    
Severity: normal CC: proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/15788
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2020-05-09 17:20:30 UTC
This is an auto-filled bug because app-cdr/cdw calls ar directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different AR implementation (like llvm-ar) by setting the AR variable. So this issue has been reproduced by setting the AR variable to x86_64-pc-linux-gnu-ar and by removing the /usr/bin/ar binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-09 17:20:39 UTC
Created attachment 637144 [details]
build.log

build log and emerge --info
Comment 2 Arthur Zamarin 2020-06-02 05:46:13 UTC
I have posted a pull request (which is linked to this bug).
Waiting for someone to merge it.
Comment 3 Larry the Git Cow gentoo-dev 2020-06-25 06:01:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ed9008b1626ba39108df88b150007b25f4a46a3

commit 6ed9008b1626ba39108df88b150007b25f4a46a3
Author:     Zamarin Arthur <arthurzam@gmail.com>
AuthorDate: 2020-06-24 16:47:43 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-06-25 06:01:07 +0000

    app-cdr/cdw: fix AR direct call
    
    Closes: https://bugs.gentoo.org/721928
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Zamarin Arthur <arthurzam@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/15788
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 app-cdr/cdw/cdw-0.8.1-r1.ebuild               | 11 +++++++++--
 app-cdr/cdw/cdw-9999.ebuild                   |  7 +++++--
 app-cdr/cdw/files/cdw-0.8.1-fix-ar-call.patch | 26 ++++++++++++++++++++++++++
 3 files changed, 40 insertions(+), 4 deletions(-)